scala.collection.mutable

# TreeSet

#### class TreeSet[A] extends SortedSet[A] with SetLike[A, TreeSet[A]] with SortedSetLike[A, TreeSet[A]] with Set[A] with Serializable

A mutable SortedSet using an immutable AVL Tree as underlying data structure.

Source
  TreeSet.scala

Linear Supertypes
Serializable, java.io.Serializable, SortedSet[A], Set[A], SetLike[A, TreeSet[A]], Cloneable[Set[A]], scala.Cloneable, java.lang.Cloneable, Shrinkable[A], Builder[A, TreeSet[A]], Growable[A], Clearable, Scriptable[A], Iterable[A], Traversable[A], Mutable, collection.SortedSet[A], SortedSetLike[A, TreeSet[A]], Sorted[A, TreeSet[A]], collection.Set[A], collection.SetLike[A, TreeSet[A]], Subtractable[A, TreeSet[A]], GenSet[A], GenericSetTemplate[A, Set], GenSetLike[A, TreeSet[A]], collection.Iterable[A], IterableLike[A, TreeSet[A]], Equals, GenIterable[A], GenIterableLike[A, TreeSet[A]], collection.Traversable[A], GenTraversable[A], GenericTraversableTemplate[A, Set], TraversableLike[A, TreeSet[A]], GenTraversableLike[A, TreeSet[A]], Parallelizable[A, ParSet[A]], TraversableOnce[A], GenTraversableOnce[A], FilterMonadic[A, TreeSet[A]], HasNewBuilder[A, TreeSet[A]], (A) ⇒ Boolean, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreeSet
2. Serializable
3. Serializable
4. SortedSet
5. Set
6. SetLike
7. Cloneable
8. Cloneable
9. Cloneable
10. Shrinkable
11. Builder
12. Growable
13. Clearable
14. Scriptable
15. Iterable
16. Traversable
17. Mutable
18. SortedSet
19. SortedSetLike
20. Sorted
21. Set
22. SetLike
23. Subtractable
24. GenSet
25. GenericSetTemplate
26. GenSetLike
27. Iterable
28. IterableLike
29. Equals
30. GenIterable
31. GenIterableLike
32. Traversable
33. GenTraversable
34. GenericTraversableTemplate
35. TraversableLike
36. GenTraversableLike
37. Parallelizable
38. TraversableOnce
39. GenTraversableOnce
40. FilterMonadic
41. HasNewBuilder
42. Function1
43. AnyRef
44. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreeSet()(implicit ordering: Ordering[A])

### Type Members

1. #### type Self = TreeSet[A]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def &(that: GenSet[A]): TreeSet[A]

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     GenSetLike

5. #### def &~(that: GenSet[A]): TreeSet[A]

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     GenSetLike

6. #### def +(elem1: A, elem2: A, elems: A*): TreeSet[A]

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new set consisting of all the elements of this set, `elem1`, `elem2` and those in `elems`.

   Definition Classes
     SetLike → SetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

7. #### def +(elem: A): TreeSet[A]

   Creates a new set consisting of all the elements of this set and `elem`.

   Creates a new set consisting of all the elements of this set and `elem`.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem

     the element to add.

   returns

     a new set consisting of elements of this set and `elem`.

   Definition Classes
     SetLike → SetLike → GenSetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

8. #### def ++(xs: GenTraversableOnce[A]): TreeSet[A]

   Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

   Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   xs

     the traversable object.

   returns

     a new set consisting of elements of this set and those in `xs`.

   Definition Classes
     SetLike → SetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `++` creates a new set. Use `++=` to add elements to this set and return that set itself.

9. #### def ++[B](that: GenTraversableOnce[B]): SortedSet[B]

   [use case] Returns a new mutable sorted set containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new mutable sorted set containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable sorted set is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable sorted set which contains all elements of this mutable sorted set

     followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

10. #### def ++:[B >: A, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

    Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this mutable sorted set followed by all elements of `that`.

    Definition Classes
      TraversableLike

11. #### def ++:[B](that: TraversableOnce[B]): SortedSet[B]

    [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    [use case]

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new mutable sorted set which contains all elements of this mutable sorted set

      followed by all elements of `that`.

    Definition Classes
      TraversableLike
    Full Signature

    #### def ++:[B >: A, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

12. #### def ++=(xs: TraversableOnce[A]): TreeSet.this.type

    adds all elements produced by a TraversableOnce to this mutable sorted set .

    adds all elements produced by a TraversableOnce to this mutable sorted set .

    xs

      the TraversableOnce producing the elements to add.

    returns

      the mutable sorted set itself.

    Definition Classes
      Growable

13. #### def +=(elem: A): TreeSet.this.type

    Adds a single element to the set.

    Adds a single element to the set.

    elem

      the element to be added.

    returns

      the builder itself.

    Definition Classes
      TreeSet → SetLike → Builder → Growable

14. #### def +=(elem1: A, elem2: A, elems: A*): TreeSet.this.type

    adds two or more elements to this mutable sorted set .

    adds two or more elements to this mutable sorted set .

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the mutable sorted set itself

    Definition Classes
      Growable

15. #### def -(elem1: A, elem2: A, elems: A*): TreeSet[A]

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new set consisting of all the elements of this set except `elem1`, `elem2` and `elems`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

16. #### def -(elem: A): TreeSet[A]

    Creates a new set consisting of all the elements of this set except `elem`.

    Creates a new set consisting of all the elements of this set except `elem`.

    elem

      the element to remove.

    returns

      a new set consisting of all the elements of this set except `elem`.

    Definition Classes
      SetLike → SetLike → Subtractable → GenSetLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

17. #### def --(xs: GenTraversableOnce[A]): TreeSet[A]

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    xs

      the traversable object.

    returns

      a new set consisting of all the elements of this set except elements from `xs`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new set. Use `--=` to remove elements from this set and return that set itself.

18. #### def --=(xs: TraversableOnce[A]): TreeSet.this.type

    Removes all elements produced by an iterator from this mutable sorted set .

    Removes all elements produced by an iterator from this mutable sorted set .

    xs

      the iterator producing the elements to remove.

    returns

      the mutable sorted set itself

    Definition Classes
      Shrinkable

19. #### def -=(elem: A): TreeSet.this.type

    Removes a single element from this mutable sorted set .

    Removes a single element from this mutable sorted set .

    elem

      the element to remove.

    returns

      the mutable sorted set itself

    Definition Classes
      TreeSet → SetLike → Shrinkable

20. #### def -=(elem1: A, elem2: A, elems: A*): TreeSet.this.type

    Removes two or more elements from this mutable sorted set .

    Removes two or more elements from this mutable sorted set .

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the mutable sorted set itself

    Definition Classes
      Shrinkable

21. #### def ->[B](y: B): (TreeSet[A], B)

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to ArrowAssoc[TreeSet[A]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

22. #### def /:[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable sorted set , going left to right.

    Applies a binary operator to a start value and all elements of this mutable sorted set , going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable sorted set , going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this mutable sorted set .

    Definition Classes
      TraversableOnce → GenTraversableOnce

23. #### def :\[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable sorted set and a start value, going right to left.

    Applies a binary operator to all elements of this mutable sorted set and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this mutable sorted set , going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable sorted set .

    Definition Classes
      TraversableOnce → GenTraversableOnce

24. #### def <<(cmd: Message[A]): Unit

    Send a message to this scriptable object.

    Send a message to this scriptable object.

    cmd

      the message to send.

    Definition Classes
      SetLike → Scriptable
    Exceptions thrown
      `Predef.UnsupportedOperationException`

      if the message was not understood.

25. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

27. #### def add(elem: A): Boolean

    Adds an element to this mutable sorted set .

    Adds an element to this mutable sorted set .

    elem

      the element to be added

    returns

      `true` if the element was not yet present in the set, `false` otherwise.

    Definition Classes
      SetLike

28. #### def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this mutable sorted set to a string builder.

    Appends all elements of this mutable sorted set to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable sorted set without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

29. #### def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this mutable sorted set to a string builder using a separator string.

    Appends all elements of this mutable sorted set to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable sorted set , separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

30. #### def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder

    Appends all elements of this mutable sorted set to a string builder using start, end, and separator strings.

    Appends all elements of this mutable sorted set to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable sorted set are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

31. #### def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

32. #### def andThen[A](g: (Boolean) ⇒ A): (A) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

33. #### def apply(elem: A): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      GenSetLike → Function1

34. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

35. #### def asParIterable: ParIterable[A]

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

36. #### def asParSeq: ParSeq[A]

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

37. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this mutable sorted set should be compared

    returns

      `true`, if this mutable sorted set can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

38. #### def clear(): Unit

    Removes all elements from the set.

    Removes all elements from the set. After this operation is completed, the set will be empty.

    Definition Classes
      SetLike → Builder → Growable → Clearable

39. #### def clone(): TreeSet[A]

    Thanks to the immutable nature of the underlying AVL Tree, we can share it with the clone.

    Thanks to the immutable nature of the underlying AVL Tree, we can share it with the clone. So clone complexity in time is O(1).

    returns

      a copy of the receiver object.

    Definition Classes
      TreeSet → SetLike → Cloneable → AnyRef

40. #### def collect[B](pf: PartialFunction[A, B]): SortedSet[B]

    [use case] Builds a new collection by applying a partial function to all elements of this mutable sorted set

    [use case]

    Builds a new collection by applying a partial function to all elements of this mutable sorted set

    on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the mutable sorted set .

    returns

      a new mutable sorted set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

41. #### def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the mutable sorted set for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the mutable sorted set for which the given partial function is defined, and applies the partial function to it.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

42. #### def companion: GenericCompanion[Set]

    The factory companion object that builds instances of class `mutable.SortedSet`.

    The factory companion object that builds instances of class `mutable.SortedSet`. (or its `Iterable` superclass where class `mutable.SortedSet` is not a `Seq`.)

    Definition Classes
      Set → Set → GenSet → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

43. #### def compare(k0: A, k1: A): Int

    Comparison function that orders keys.

    Comparison function that orders keys.

    Definition Classes
      Sorted

44. #### def compose[A](g: (A) ⇒ A): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

45. #### def contains(elem: A): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      TreeSet → SetLike → GenSetLike

46. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this mutable sorted set to an array.

    [use case]

    Copies elements of this mutable sorted set to an array. Fills the given array `xs` with at most `len` elements of this mutable sorted set , starting at position `start`. Copying will stop once either the end of the current mutable sorted set is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

47. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this mutable sorted set to an array.

    [use case]

    Copies values of this mutable sorted set to an array. Fills the given array `xs` with values of this mutable sorted set . Copying will stop once either the end of the current mutable sorted set is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B]): Unit

48. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this mutable sorted set to an array.

    [use case]

    Copies values of this mutable sorted set to an array. Fills the given array `xs` with values of this mutable sorted set , beginning at index `start`. Copying will stop once either the end of the current mutable sorted set is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

49. #### def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Copies all elements of this mutable sorted set to a buffer.

    Copies all elements of this mutable sorted set to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

50. #### def count(p: (A) ⇒ Boolean): Int

    Counts the number of elements in the mutable sorted set which satisfy a predicate.

    Counts the number of elements in the mutable sorted set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

51. #### def diff(that: GenSet[A]): TreeSet[A]

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      SetLike → GenSetLike

52. #### def drop(n: Int): TreeSet[A]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this mutable sorted set .

    returns

      a mutable sorted set consisting of all elements of this mutable sorted set except the first `n` ones, or else the empty mutable sorted set , if this mutable sorted set has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

53. #### def dropRight(n: Int): TreeSet[A]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a mutable sorted set consisting of all elements of this mutable sorted set except the last `n` ones, or else the empty mutable sorted set , if this mutable sorted set has less than `n` elements.

    Definition Classes
      IterableLike

54. #### def dropWhile(p: (A) ⇒ Boolean): TreeSet[A]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this mutable sorted set whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

55. #### def empty: TreeSet[A]

    Needs to be overridden in subclasses.

    Needs to be overridden in subclasses.

    returns

      an empty set of type `This`.

    Definition Classes
      TreeSet → SortedSet → SortedSet → SetLike → GenericSetTemplate

56. #### def ensuring(cond: (TreeSet[A]) ⇒ Boolean, msg: ⇒ Any): TreeSet[A]

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to Ensuring[TreeSet[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

57. #### def ensuring(cond: (TreeSet[A]) ⇒ Boolean): TreeSet[A]

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to Ensuring[TreeSet[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

58. #### def ensuring(cond: Boolean, msg: ⇒ Any): TreeSet[A]

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to Ensuring[TreeSet[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

59. #### def ensuring(cond: Boolean): TreeSet[A]

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to Ensuring[TreeSet[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

60. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

61. #### def equals(that: Any): Boolean

    Compares this set with another object for equality.

    Compares this set with another object for equality.

    Note: This operation contains an unchecked cast: if `that` is a set, it will assume with an unchecked cast that it has the same element type as this set. Any subsequent ClassCastException is treated as a `false` result.

    that

      the other object

    returns

      `true` if `that` is a set which contains the same elements as this set.

    Definition Classes
      GenSetLike → Equals → AnyRef → Any

62. #### def exists(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this mutable sorted set .

    Tests whether a predicate holds for some of the elements of this mutable sorted set .

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this mutable sorted set , otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

63. #### def filter(p: (A) ⇒ Boolean): TreeSet[A]

    Selects all elements of this mutable sorted set which satisfy a predicate.

    Selects all elements of this mutable sorted set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable sorted set consisting of all elements of this mutable sorted set that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

64. #### def filterNot(p: (A) ⇒ Boolean): TreeSet[A]

    Selects all elements of this mutable sorted set which do not satisfy a predicate.

    Selects all elements of this mutable sorted set which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable sorted set consisting of all elements of this mutable sorted set that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

65. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

66. #### def find(p: (A) ⇒ Boolean): Option[A]

    Finds the first element of the mutable sorted set satisfying a predicate, if any.

    Finds the first element of the mutable sorted set satisfying a predicate, if any.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the mutable sorted set

      that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

67. #### def firstKey: A

    Returns the first key of the collection.

    Returns the first key of the collection.

    Definition Classes
      SortedSetLike → Sorted

68. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): SortedSet[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable sorted set

    [use case]

    Builds a new collection by applying a function to all elements of this mutable sorted set

    and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable sorted set . This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable sorted set resulting from applying the given collection-valued function `f` to each element of this mutable sorted set and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

69. #### def flatten[B]: SortedSet[B]

    [use case] Converts this mutable sorted set of traversable collections into a mutable sorted set formed by the elements of these traversable collections.

    [use case]

    Converts this mutable sorted set of traversable collections into a mutable sorted set formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of mutable sorted set . For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new mutable sorted set resulting from concatenating all element mutable sorted set s.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): Set[B]

70. #### def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this mutable sorted set using the specified associative binary operator.

    Folds the elements of this mutable sorted set using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

71. #### def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable sorted set , going left to right.

    Applies a binary operator to a start value and all elements of this mutable sorted set , going left to right.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable sorted set , going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this mutable sorted set .

    Definition Classes
      TraversableOnce → GenTraversableOnce

72. #### def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable sorted set and a start value, going right to left.

    Applies a binary operator to all elements of this mutable sorted set and a start value, going right to left.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable sorted set , going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable sorted set .

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

73. #### def forall(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this mutable sorted set .

    Tests whether a predicate holds for all elements of this mutable sorted set .

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this mutable sorted set , otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

74. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this mutable sorted set .

    [use case]

    Applies a function `f` to all elements of this mutable sorted set .

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (A) ⇒ U): Unit

75. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

76. #### def from(from: A): TreeSet[A]

    Creates a ranged projection of this collection with no upper-bound.

    Creates a ranged projection of this collection with no upper-bound.

    from

      The lower-bound (inclusive) of the ranged projection.

    Definition Classes
      SortedSetLike → Sorted

77. #### def genericBuilder[B]: Builder[B, Set[B]]

    The generic builder that builds instances of `mutable.SortedSet` at arbitrary element types.

    The generic builder that builds instances of `mutable.SortedSet` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

78. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

79. #### def groupBy[K](f: (A) ⇒ K): immutable.Map[K, TreeSet[A]]

    Partitions this mutable sorted set into a map of mutable sorted set s according to some discriminator function.

    Partitions this mutable sorted set into a map of mutable sorted set s according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new mutable sorted set .

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to mutable sorted set s such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a mutable sorted set of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

80. #### def grouped(size: Int): Iterator[TreeSet[A]]

    Partitions elements in fixed size mutable sorted set s.

    Partitions elements in fixed size mutable sorted set s.

    size

      the number of elements per group

    returns

      An iterator producing mutable sorted set s of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

81. #### def hasAll(j: Iterator[A]): Boolean

    Attributes
      protected
    Definition Classes
      Sorted

82. #### def hasDefiniteSize: Boolean

    Tests whether this mutable sorted set is known to have a finite size.

    Tests whether this mutable sorted set is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

83. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenSetLike → AnyRef → Any

84. #### def head: A

    Selects the first element of this mutable sorted set .

    Selects the first element of this mutable sorted set .

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable sorted set .

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the mutable sorted set is empty.

85. #### def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable sorted set if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

86. #### def ifParSeq[R](isbody: (ParSeq[A]) ⇒ R): (TraversableOps[A])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

87. #### def init: TreeSet[A]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a mutable sorted set consisting of all elements of this mutable sorted set

      except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the mutable sorted set is empty.

88. #### def inits: Iterator[TreeSet[A]]

    Iterates over the inits of this mutable sorted set .

    Iterates over the inits of this mutable sorted set . The first value will be this mutable sorted set and the final one will be an empty mutable sorted set , with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this mutable sorted set

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

89. #### def intersect(that: GenSet[A]): TreeSet[A]

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      GenSetLike

90. #### def isEmpty: Boolean

    Tests if this set is empty.

    Tests if this set is empty.

    returns

      `true` if there is no element in the set, `false` otherwise.

    Definition Classes
      SetLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

91. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

92. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

93. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

94. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from TreeSet[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

95. #### final def isTraversableAgain: Boolean

    Tests whether this mutable sorted set can be repeatedly traversed.

    Tests whether this mutable sorted set can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

96. #### def iterator: Iterator[A]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      TreeSet → GenSetLike → IterableLike → GenIterableLike

97. #### def keySet: TreeSet[A]

    return as a projection the set of keys in this collection

    return as a projection the set of keys in this collection

    Definition Classes
      SortedSetLike → Sorted

98. #### def last: A

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this mutable sorted set .

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the mutable sorted set is empty.

99. #### def lastKey: A

    Returns the last key of the collection.

    Returns the last key of the collection.

    Definition Classes
      SortedSetLike → Sorted

100. #### def lastOption: Option[A]

     Optionally selects the last element.

     Optionally selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the last element of this mutable sorted set $ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

101. #### def map[B](f: (A) ⇒ B): SortedSet[B]

     [use case] Builds a new collection by applying a function to all elements of this mutable sorted set .

     [use case]

     Builds a new collection by applying a function to all elements of this mutable sorted set .

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new mutable sorted set resulting from applying the given function `f` to each element of this mutable sorted set and collecting the results.

     Definition Classes
       SetLike → TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

102. #### def mapResult[NewTo](f: (TreeSet[A]) ⇒ NewTo): Builder[A, NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

103. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this mutable sorted set .

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: A](implicit cmp: Ordering[B]): A

104. #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

105. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this mutable sorted set

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: A](implicit cmp: Ordering[B]): A

106. #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

107. #### def mkString: String

     Displays all elements of this mutable sorted set in a string.

     Displays all elements of this mutable sorted set in a string.

     returns

       a string representation of this mutable sorted set . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable sorted set follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

108. #### def mkString(sep: String): String

     Displays all elements of this mutable sorted set in a string using a separator string.

     Displays all elements of this mutable sorted set in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this mutable sorted set . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable sorted set are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

109. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this mutable sorted set in a string using start, end, and separator strings.

     Displays all elements of this mutable sorted set in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this mutable sorted set . The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable sorted set are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

110. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

111. #### def newBuilder: Builder[A, TreeSet[A]]

     A common implementation of `newBuilder` for all mutable sets in terms of `empty`.

     A common implementation of `newBuilder` for all mutable sets in terms of `empty`. Overrides the implementation in `collection.SetLike` for better efficiency.

     Attributes
       protected[this]
     Definition Classes
       SetLike → SetLike → TraversableLike → HasNewBuilder

112. #### def nonEmpty: Boolean

     Tests whether the mutable sorted set is not empty.

     Tests whether the mutable sorted set is not empty.

     returns

       `true` if the mutable sorted set contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

113. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

114. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

115. #### implicit val ordering: Ordering[A]

     Definition Classes
       TreeSet → SortedSetLike → Sorted

116. #### def par: ParSet[A]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

117. #### def parCombiner: Combiner[A, ParSet[A]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SetLike → SetLike → TraversableLike → Parallelizable

118. #### def partition(p: (A) ⇒ Boolean): (TreeSet[A], TreeSet[A])

     Partitions this mutable sorted set in two mutable sorted set s according to a predicate.

     Partitions this mutable sorted set in two mutable sorted set s according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of mutable sorted set s: the first mutable sorted set consists of all elements that satisfy the predicate `p` and the second mutable sorted set consists of all elements that don't. The relative order of the elements in the resulting mutable sorted set s is the same as in the original mutable sorted set .

     Definition Classes
       TraversableLike → GenTraversableLike

119. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this mutable sorted set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable sorted set and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: A](implicit num: Numeric[B]): B

120. #### def range(from: A, until: A): TreeSet[A]

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     from

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedSetLike → Sorted

121. #### def rangeImpl(from: Option[A], until: Option[A]): TreeSet[A]

     Creates a ranged projection of this collection.

     Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa.

     Note: keys are not garuanteed to be consistent between this collection and the projection. This is the case for buffers where indexing is relative to the projection.

     from

       The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.

     until

       The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

     Definition Classes
       TreeSet → SortedSetLike → Sorted

122. #### def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this mutable sorted set using the specified associative binary operator.

     Reduces the elements of this mutable sorted set using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the mutable sorted set is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this mutable sorted set is empty.

123. #### def reduceLeft[B >: A](op: (B, A) ⇒ B): B

     Applies a binary operator to all elements of this mutable sorted set , going left to right.

     Applies a binary operator to all elements of this mutable sorted set , going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable sorted set , going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this mutable sorted set .

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable sorted set is empty.

124. #### def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable sorted set , going left to right.

     Optionally applies a binary operator to all elements of this mutable sorted set , going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this mutable sorted set is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

125. #### def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this mutable sorted set , if any, using the specified associative binary operator.

     Reduces the elements of this mutable sorted set , if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

126. #### def reduceRight[B >: A](op: (A, B) ⇒ B): B

     Applies a binary operator to all elements of this mutable sorted set , going right to left.

     Applies a binary operator to all elements of this mutable sorted set , going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable sorted set , going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this mutable sorted set .

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable sorted set is empty.

127. #### def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable sorted set , going right to left.

     Optionally applies a binary operator to all elements of this mutable sorted set , going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this mutable sorted set is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

128. #### def remove(elem: A): Boolean

     Removes an element from this set.

     Removes an element from this set.

     elem

       The element to be removed.

     returns

       `true` if the element was previously present in the set, `false` otherwise.

     Definition Classes
       SetLike

129. #### def repr: TreeSet[A]

     The collection of type mutable sorted set underlying this `TraversableLike` object.

     The collection of type mutable sorted set underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

130. #### def resolve: TreeSet[A]

131. #### def result(): TreeSet[A]

     The result when this set is used as a builder

     The result when this set is used as a builder

     returns

       the set representation itself.

     Definition Classes
       SetLike → Builder

132. #### def retain(p: (A) ⇒ Boolean): Unit

     Removes all elements from the set for which do not satisfy a predicate.

     Removes all elements from the set for which do not satisfy a predicate.

     p

       the predicate used to test elements. Only elements for which `p` returns `true` are retained in the set; all others are removed.

     Definition Classes
       SetLike

133. #### def reversed: List[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

134. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this mutable sorted set .

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this mutable sorted set .

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: A](that: GenIterable[B]): Boolean

135. #### def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[TreeSet[A], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new mutable sorted set containing the prefix scan of the elements in this mutable sorted set

     Definition Classes
       TraversableLike → GenTraversableLike

136. #### def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

137. #### def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[TreeSet[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

138. #### def seq: Set[A]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Set → Set → GenSet → GenSetLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

139. #### def size: Int

     Cardinality store the set size, unfortunately a set view (given by rangeImpl) cannot take advantage of this optimisation

     Cardinality store the set size, unfortunately a set view (given by rangeImpl) cannot take advantage of this optimisation

     returns

       the number of elements in this mutable sorted set .

     Definition Classes
       TreeSet → GenTraversableLike → TraversableOnce → GenTraversableOnce

140. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

141. #### def sizeHint(coll: TraversableLike[_, _]): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     Definition Classes
       Builder

142. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

143. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

144. #### def slice(from: Int, until: Int): TreeSet[A]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a mutable sorted set containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this mutable sorted set .

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

145. #### def sliding(size: Int, step: Int): Iterator[TreeSet[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing mutable sorted set s of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

146. #### def sliding(size: Int): Iterator[TreeSet[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing mutable sorted set s of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

147. #### def span(p: (A) ⇒ Boolean): (TreeSet[A], TreeSet[A])

     Splits this mutable sorted set into a prefix/suffix pair according to a predicate.

     Splits this mutable sorted set into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this mutable sorted set whose elements all satisfy `p`, and the rest of this mutable sorted set .

     Definition Classes
       TraversableLike → GenTraversableLike

148. #### def splitAt(n: Int): (TreeSet[A], TreeSet[A])

     Splits this mutable sorted set into two at a given position.

     Splits this mutable sorted set into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of mutable sorted set s consisting of the first `n` elements of this mutable sorted set , and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

149. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this set. Unless overridden this is simply `"Set"`.

     Definition Classes
       TreeSet → SetLike → TraversableLike → GenTraversableLike

150. #### def subsetOf(that: GenSet[A]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       SortedSetLike → GenSetLike

151. #### def subsets: Iterator[TreeSet[A]]

     An iterator over all subsets of this set.

     An iterator over all subsets of this set.

     returns

       the iterator.

     Definition Classes
       SetLike

152. #### def subsets(len: Int): Iterator[TreeSet[A]]

     An iterator over all subsets of this set of the given size.

     An iterator over all subsets of this set of the given size. If the requested size is impossible, an empty iterator is returned.

     len

       the size of the subsets.

     returns

       the iterator.

     Definition Classes
       SetLike

153. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this mutable sorted set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable sorted set and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: A](implicit num: Numeric[B]): B

154. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

155. #### def tail: TreeSet[A]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a mutable sorted set consisting of all elements of this mutable sorted set

       except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the mutable sorted set is empty.

156. #### def tails: Iterator[TreeSet[A]]

     Iterates over the tails of this mutable sorted set .

     Iterates over the tails of this mutable sorted set . The first value will be this mutable sorted set and the final one will be an empty mutable sorted set , with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this mutable sorted set

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

157. #### def take(n: Int): TreeSet[A]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this mutable sorted set .

     returns

       a mutable sorted set consisting only of the first `n` elements of this mutable sorted set , or else the whole mutable sorted set , if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

158. #### def takeRight(n: Int): TreeSet[A]

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a mutable sorted set consisting only of the last `n` elements of this mutable sorted set , or else the whole mutable sorted set , if it has less than `n` elements.

     Definition Classes
       IterableLike

159. #### def takeWhile(p: (A) ⇒ Boolean): TreeSet[A]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this mutable sorted set whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

160. #### def thisCollection: collection.Iterable[A]

     The underlying collection seen as an instance of ``mutable.SortedSet``.

     The underlying collection seen as an instance of ``mutable.SortedSet``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

161. #### def to(to: A): TreeSet[A]

     Create a range projection of this collection with no lower-bound.

     Create a range projection of this collection with no lower-bound.

     to

       The upper-bound (inclusive) of the ranged projection.

     Definition Classes
       Sorted

162. #### def to[Col[_]]: Col[A]

     [use case] Converts this mutable sorted set into another by copying all elements.

     [use case]

     Converts this mutable sorted set into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this mutable sorted set .

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A]]): Col[A]

163. #### def toArray: Array[A]

     [use case] Converts this mutable sorted set to an array.

     [use case]

     Converts this mutable sorted set to an array.

     returns

       an array containing all elements of this mutable sorted set . An `ClassTag` must be available for the element type of this mutable sorted set .

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]

164. #### def toBuffer[A1 >: A]: Buffer[A1]

     Converts this mutable sorted set to a mutable buffer.

     Converts this mutable sorted set to a mutable buffer.

     returns

       a buffer containing all elements of this mutable sorted set .

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

165. #### def toCollection(repr: TreeSet[A]): collection.Iterable[A]

     A conversion from collections of type `Repr` to ``mutable.SortedSet`` objects.

     A conversion from collections of type `Repr` to ``mutable.SortedSet`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

166. #### def toIndexedSeq: immutable.IndexedSeq[A]

     Converts this mutable sorted set to an indexed sequence.

     Converts this mutable sorted set to an indexed sequence.

     returns

       an indexed sequence containing all elements of this mutable sorted set .

     Definition Classes
       TraversableOnce → GenTraversableOnce

167. #### def toIterable: collection.Iterable[A]

     Converts this mutable sorted set to an iterable collection.

     Converts this mutable sorted set to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this mutable sorted set .

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

168. #### def toIterator: Iterator[A]

     Returns an Iterator over the elements in this mutable sorted set .

     Returns an Iterator over the elements in this mutable sorted set . Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this mutable sorted set .

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

169. #### def toList: List[A]

     Converts this mutable sorted set to a list.

     Converts this mutable sorted set to a list.

     returns

       a list containing all elements of this mutable sorted set .

     Definition Classes
       TraversableOnce → GenTraversableOnce

170. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this mutable sorted set to a map.

     [use case]

     Converts this mutable sorted set to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this mutable sorted set .

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): immutable.Map[T, U]

171. #### def toParArray: ParArray[A]

     Implicit information
       This member is added by an implicit conversion from TreeSet[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

172. #### def toSeq: collection.Seq[A]

     Converts this mutable sorted set to a sequence.

     Converts this mutable sorted set to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this mutable sorted set .

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

173. #### def toSet[B >: A]: immutable.Set[B]

     Converts this mutable sorted set to a set.

     Converts this mutable sorted set to a set.

     returns

       a set containing all elements of this mutable sorted set .

     Definition Classes
       TraversableOnce → GenTraversableOnce

174. #### def toStream: immutable.Stream[A]

     Converts this mutable sorted set to a stream.

     Converts this mutable sorted set to a stream.

     returns

       a stream containing all elements of this mutable sorted set .

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

175. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       SetLike → Function1 → TraversableLike → AnyRef → Any

176. #### def toTraversable: collection.Traversable[A]

     Converts this mutable sorted set to an unspecified Traversable.

     Converts this mutable sorted set to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this mutable sorted set .

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

177. #### def toVector: Vector[A]

     Converts this mutable sorted set to a Vector.

     Converts this mutable sorted set to a Vector.

     returns

       a vector containing all elements of this mutable sorted set .

     Definition Classes
       TraversableOnce → GenTraversableOnce

178. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): Set[Set[B]]

     Transposes this mutable sorted set of traversable collections into a mutable sorted set of mutable sorted set s.

     Transposes this mutable sorted set of traversable collections into a mutable sorted set of mutable sorted set s.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this mutable sorted set is a `Traversable`.

     returns

       a two-dimensional mutable sorted set of mutable sorted set s which has as nth row the nth column of this mutable sorted set .

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this mutable sorted set

       are not of the same size.

179. #### def union(that: GenSet[A]): TreeSet[A]

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetLike → GenSetLike

180. #### def until(until: A): TreeSet[A]

     Creates a ranged projection of this collection with no lower-bound.

     Creates a ranged projection of this collection with no lower-bound.

     until

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedSetLike → Sorted

181. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (Set[A1], Set[A2])

     Converts this mutable sorted set of pairs into two collections of the first and second half of each pair.

     Converts this mutable sorted set of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this mutable sorted set is a pair.

     returns

       a pair mutable sorted set s, containing the first, respectively second half of each element pair of this mutable sorted set .

     Definition Classes
       GenericTraversableTemplate

182. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (Set[A1], Set[A2], Set[A3])

     Converts this mutable sorted set of triples into three collections of the first, second, and third element of each triple.

     Converts this mutable sorted set of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this mutable sorted set is a triple.

     returns

       a triple mutable sorted set s, containing the first, second, respectively third member of each element triple of this mutable sorted set .

     Definition Classes
       GenericTraversableTemplate

183. #### def update(elem: A, included: Boolean): Unit

     Updates the presence of a single element in this set.

     Updates the presence of a single element in this set.

     This method allows one to add or remove an element `elem` from this set depending on the value of parameter `included`. Typically, one would use the following syntax:

         set(elem) = true  // adds element
         set(elem) = false // removes element

     elem

       the element to be added or removed

     included

       a flag indicating whether element should be included or excluded.

     Definition Classes
       SetLike

184. #### def view(from: Int, until: Int): IterableView[A, TreeSet[A]]

     Creates a non-strict view of a slice of this mutable sorted set .

     Creates a non-strict view of a slice of this mutable sorted set .

     Note: the difference between `view` and `slice` is that `view` produces a view of the current mutable sorted set , whereas `slice` produces a new mutable sorted set .

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this mutable sorted set , starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

185. #### def view: IterableView[A, TreeSet[A]]

     Creates a non-strict view of this mutable sorted set .

     Creates a non-strict view of this mutable sorted set .

     returns

       a non-strict view of this mutable sorted set .

     Definition Classes
       IterableLike → TraversableLike

186. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

187. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

188. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

189. #### def withFilter(p: (A) ⇒ Boolean): FilterMonadic[A, TreeSet[A]]

     Creates a non-strict filter of this mutable sorted set .

     Creates a non-strict filter of this mutable sorted set .

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this mutable sorted set

       which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

190. #### def zip[B](that: GenIterable[B]): SortedSet[(A, B)]

     [use case] Returns a mutable sorted set formed from this mutable sorted set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable sorted set formed from this mutable sorted set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable sorted set containing pairs consisting of corresponding elements of this mutable sorted set and `that`. The length of the returned collection is the minimum of the lengths of this mutable sorted set and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[TreeSet[A], (A1, B), That]): That

191. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): SortedSet[(A, B)]

     [use case] Returns a mutable sorted set formed from this mutable sorted set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable sorted set formed from this mutable sorted set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable sorted set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable sorted set .

     returns

       a new mutable sorted set containing pairs consisting of corresponding elements of this mutable sorted set and `that`. The length of the returned collection is the maximum of the lengths of this mutable sorted set and `that`. If this mutable sorted set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable sorted set , `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[TreeSet[A], (A1, B), That]): That

192. #### def zipWithIndex: SortedSet[(A, Int)]

     [use case] Zips this mutable sorted set with its indices.

     [use case]

     Zips this mutable sorted set with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new mutable sorted set containing pairs consisting of all elements of this mutable sorted set paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[TreeSet[A], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

193. #### def |(that: GenSet[A]): TreeSet[A]

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       GenSetLike

194. #### def →[B](y: B): (TreeSet[A], B)

     Implicit information
       This member is added by an implicit conversion from TreeSet[A] to ArrowAssoc[TreeSet[A]] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (treeSet: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### def filter(p: (A) ⇒ Boolean): TraversableOnce[A]

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (treeSet: MonadOps[A]).filter(p)

   Definition Classes
     MonadOps

3. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (treeSet: MonadOps[A]).flatMap(f)

   Definition Classes
     MonadOps

4. #### def map[B](f: (A) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (treeSet: MonadOps[A]).map(f)

   Definition Classes
     MonadOps

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeSet: StringAdd).self

   Definition Classes
     StringAdd

6. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeSet: StringFormat).self

   Definition Classes
     StringFormat

7. #### def withFilter(p: (A) ⇒ Boolean): Iterator[A]

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (treeSet: MonadOps[A]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: TreeSet[A]

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to ArrowAssoc[TreeSet[A]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeSet: ArrowAssoc[TreeSet[A]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: TreeSet[A]

   Implicit information
     This member is added by an implicit conversion from TreeSet[A] to Ensuring[TreeSet[A]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeSet: Ensuring[TreeSet[A]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from SortedSet[A]

### Inherited from Set[A]

### Inherited from SetLike[A, TreeSet[A]]

### Inherited from Cloneable[Set[A]]

### Inherited from scala.Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[A]

### Inherited from Builder[A, TreeSet[A]]

### Inherited from Growable[A]

### Inherited from Clearable

### Inherited from Scriptable[A]

### Inherited from Iterable[A]

### Inherited from Traversable[A]

### Inherited from Mutable

### Inherited from collection.SortedSet[A]

### Inherited from SortedSetLike[A, TreeSet[A]]

### Inherited from Sorted[A, TreeSet[A]]

### Inherited from collection.Set[A]

### Inherited from collection.SetLike[A, TreeSet[A]]

### Inherited from Subtractable[A, TreeSet[A]]

### Inherited from GenSet[A]

### Inherited from GenericSetTemplate[A, Set]

### Inherited from GenSetLike[A, TreeSet[A]]

### Inherited from collection.Iterable[A]

### Inherited from IterableLike[A, TreeSet[A]]

### Inherited from Equals

### Inherited from GenIterable[A]

### Inherited from GenIterableLike[A, TreeSet[A]]

### Inherited from collection.Traversable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, Set]

### Inherited from TraversableLike[A, TreeSet[A]]

### Inherited from GenTraversableLike[A, TreeSet[A]]

### Inherited from Parallelizable[A, ParSet[A]]

### Inherited from TraversableOnce[A]

### Inherited from GenTraversableOnce[A]

### Inherited from FilterMonadic[A, TreeSet[A]]

### Inherited from HasNewBuilder[A, TreeSet[A]]

### Inherited from (A) ⇒ Boolean

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from TreeSet[A] to TraversableOps[A]

### Inherited by implicit conversion MonadOps from TreeSet[A] to MonadOps[A]

### Inherited by implicit conversion any2stringadd from TreeSet[A] to StringAdd

### Inherited by implicit conversion any2stringfmt from TreeSet[A] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from TreeSet[A] to ArrowAssoc[TreeSet[A]]

### Inherited by implicit conversion any2Ensuring from TreeSet[A] to Ensuring[TreeSet[A]]

### Inherited by implicit conversion alternateImplicit from TreeSet[A] to ForceImplicitAmbiguity

### Ungrouped